## fatrat-opensubtitles 1.1.3

=== CMakeLists.txt ===
project(fatrat-opensubtitles)

cmake_minimum_required(VERSION 2.4.0)
if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

find_package(Qt4 REQUIRED)

set(CMAKE_MODULE_PATH cmake_modules)

if(WITH_EVERYTHING)
	set(WITH_NLS ON)
endif(WITH_EVERYTHING)

set(QT_USE_QTNETWORK TRUE)
set(QT_USE_QTXML TRUE)

set(fatrat_DIR ${CMAKE_MODULE_PATH})
find_package(fatrat REQUIRED)

if(FATRAT_FOUND)
	message(STATUS "fatrat found OK")
	include_directories(${FATRAT_INCLUDE_DIRS})
else(FATRAT_FOUND)
	message(FATAL_ERROR "No FatRat development headers found")
endif(FATRAT_FOUND)

include( ${QT_USE_FILE} )
add_definitions(${QT_DEFINITIONS})
add_definitions(-fvisibility=hidden)

if(CMAKE_BUILD_TYPE MATCHES Debug)
	ADD_DEFINITIONS(-ggdb)
	ADD_DEFINITIONS(-DDEBUG)
	ADD_DEFINITIONS(-Wall)
endif(CMAKE_BUILD_TYPE MATCHES Debug)

include_directories(./ ${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDE_DIR})
CONFIGURE_FILE(config.h.in config.h)

set(fatrat-opensubtitles_SRCS
	fr_opensubtitles.cpp
	SubtitlesDlg.cpp
	SettingsSubtitles.cpp
	)

set(fatrat-opensubtitles_MOC_HDRS
	SubtitlesDlg.h
	)

set(fatrat-opensubtitles_UIS
	SubtitlesDlg.ui
	SettingsSubtitles.ui
	)

qt4_wrap_cpp(fatrat-opensubtitles_MOC_SRCS ${fatrat-opensubtitles_MOC_HDRS})

set(fatrat-opensubtitles_RCS
	gfx/opensubtitles.qrc
)

qt4_wrap_ui(fatrat-opensubtitles_UIS_H ${fatrat-opensubtitles_UIS})
qt4_add_resources(fatrat-opensubtitles_QRC_H gfx/opensubtitles.qrc)
qt4_add_translation(lrelease_outputs locale/fatrat-opensubtitles_cs_CZ.ts locale/fatrat-opensubtitles_pl_PL.ts locale/fatrat-opensubtitles_sk_SK.ts locale/fatrat-opensubtitles_tr_TR.ts)

add_library(fatrat-opensubtitles SHARED ${fatrat-opensubtitles_SRCS} ${fatrat-opensubtitles_MOC_SRCS} ${fatrat-opensubtitles_UIS_H} ${fatrat-opensubtitles_QRC_H} ${lrelease_outputs})

target_link_libraries(fatrat-opensubtitles ${QT_LIBRARIES} -lz)

if(WITH_NLS)
	install(FILES ${lrelease_outputs} DESTINATION share/fatrat/lang)
endif(WITH_NLS)

install(TARGETS fatrat-opensubtitles DESTINATION lib/fatrat/plugins)

install(FILES
	DESTINATION share/fatrat/data/plugins/fatrat-opensubtitles
	)
install(FILES
	${CMAKE_CURRENT_SOURCE_DIR}/data/TRANSLATIONS
	DESTINATION share/doc/fatrat-opensubtitles
	)

## fatrat-opensubtitles 1.1.1

=== debian/changelog ===
fatrat-opensubtitles (1.1.1-2) unstable; urgency=low

  * Convert to 3.0 (quilt) source format.
  * debian/control: drop useless build-dep on libqt4-dev.

 -- Cristian Greco <cristian@regolo.cc>  Thu, 10 Dec 2009 20:29:30 +0100

fatrat-opensubtitles (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #537064).

 -- Cristian Greco <cristian@regolo.cc>  Mon, 16 Nov 2009 00:40:29 +0100

=== debian/control ===
Source: fatrat-opensubtitles
Section: net
Priority: optional
Maintainer: Cristian Greco <cristian@regolo.cc>
Build-Depends: debhelper (>= 7.3.7),
               cmake (>= 2.6.0),
               fatrat-dev (>= 1.1.1),
               zlib1g-dev
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/collab-maint/fatrat-opensubtitles.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrat-opensubtitles.git
Homepage: http://fatrat.dolezel.info
DM-Upload-Allowed: yes

Package: fatrat-opensubtitles
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fatrat (>= 1.1.1)
Enhances: fatrat
Description: fatrat plugin allowing easy subtitle download
 FatRat is a feature rich download manager written in C++ and built on
 top of Qt4 library, including many download protocols and a plugin system.
 .
 This package contains a plugin for FatRat which provides integration with
 OpenSubtitles.org, thus allowing for easy subtitle search and download.

## fatrat-opensubtitles 1.1.2

=== debian/changelog ===
fatrat-opensubtitles (1.1.2-1) unstable; urgency=low

  * New upstream version.
  * debian/control: bump up standards-version to 3.8.4 (no changes).

 -- Cristian Greco <cristian@regolo.cc>  Sat, 20 Feb 2010 01:35:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                cmake (>= 2.6.0),
                fatrat-dev (>= 1.1.1),
                zlib1g-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Git: git://git.debian.org/git/collab-maint/fatrat-opensubtitles.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrat-opensubtitles.git
 Homepage: http://fatrat.dolezel.info

## fatrat-opensubtitles 1.1.3

=== debian/changelog ===
fatrat-opensubtitles (1.1.3-1) unstable; urgency=low

  * New upstream version.
    - debian/control:
      + bump (build-)dep on fatrat(-dev) to (>= 1.1.3).
      + bump up Standards-Version to 3.9.1 (no changes).

 -- Cristian Greco <cristian@regolo.cc>  Fri, 08 Oct 2010 23:49:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Cristian Greco <cristian@regolo.cc>
 Build-Depends: debhelper (>= 7.3.7),
                cmake (>= 2.6.0),
-               fatrat-dev (>= 1.1.1),
+               fatrat-dev (>= 1.1.3),
                zlib1g-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/collab-maint/fatrat-opensubtitles.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrat-opensubtitles.git
 Homepage: http://fatrat.dolezel.info
@@ -14,7 +14,7 @@
 
 Package: fatrat-opensubtitles
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, fatrat (>= 1.1.1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, fatrat (>= 1.1.3)
 Enhances: fatrat
 Description: fatrat plugin allowing easy subtitle download
  FatRat is a feature rich download manager written in C++ and built on

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_NLS=ON -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed"

override_dh_makeshlibs:
	dh_makeshlibs -Xfatrat-opensubtitles
	# avoid problems with incorrect parsing of private libraries
	# (plugins) having an hyphen in their name (#384424).

=== debian/watch ===
version=3
http://www.dolezel.info/download/data/fatrat-opensubtitles/fatrat-opensubtitles-(.*)\.tar\.gz
